<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'company',

    /*
     * Modules.
     */
    'modules'   => ['product', 'company'],

    'product'       => [
        'model' => [
            'model'                 => \Litecms\Company\Models\Product::class,
            'table'                 => 'products',
            'presenter'             => \Litecms\Company\Repositories\Presenter\ProductPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['prod_id',  'product',  '244)',  'image',  'deleted_at',  'createdat',  'updated_at',  'slug'],
            'translatables'         => [],
            'upload_folder'         => 'company/product',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Company',
            'module'    => 'Product',
        ],

    ],
    'company'       => [
        'model' => [
            'model'                 => \Litecms\Company\Models\Company::class,
            'table'                 => 'companies',
            'presenter'             => \Litecms\Company\Repositories\Presenter\CompanyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'image',  'description',  'prod_id',  'deleted_at',  'createdat',  'updated_at',  'slug'],
            'translatables'         => [],
            'upload_folder'         => 'company/company',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Company',
            'module'    => 'Company',
        ],

    ],
];
