<?php

namespace Litecms\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Company\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'id'                => $company->id,
            'name'              => $company->name,
            'image'             => $company->image,
            'description'       => $company->description,
            'prod_id'           => $company->prod_id,
            'deleted_at'        => $company->deleted_at,
            'createdat'         => $company->createdat,
            'updated_at'        => $company->updated_at,
            'slug'              => $company->slug,
            'url'               => [
                'public'    => trans_url('company/'.$company->getPublicKey()),
                'user'      => guard_url('company/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}