<?php

namespace Litecms\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Company\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'prod_id'           => $product->prod_id,
            'product'           => $product->product,
            '244)'              => $product->244),
            'image'             => $product->image,
            'deleted_at'        => $product->deleted_at,
            'createdat'         => $product->createdat,
            'updated_at'        => $product->updated_at,
            'slug'              => $product->slug,
            'url'               => [
                'public'    => trans_url('company/'.$product->getPublicKey()),
                'user'      => guard_url('company/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}